Why do I keep getting errors when I try to install PySide2 on windows PC?

install pyside2 on mac
build pyside2 from source
pyside2 documentation
pyside2 tutorial pdf
pyside2 android
pyside2 shiboken
pyside to pyside2
modulenotfounderror: no module named pyside2

I have been trying to install PySide2 on my PC (Windows 10 64bits) with Python 3.8 installed, but I keep getting errors every time.

I used the command pip install PySide2. It is not working for me.

Any help will be appreciated.

Error:

ERROR: Could not find a version that satisfies the requirement pyside2 (from versions: none)
ERROR: No matching distribution found for pyside2

If you check the available files on the pypi page, you will see that there are only wheels for cp35.cp36.cp37 so python 3.5 to 3.7, no files for 3.8. That is why pip cannot find a version, since there is no compatible version on pypi.

There is also no python 3.8 release on the qt website

Now you have two options:

  1. Try installing from source by following the official docs (I would not recommend this for a beginner)
  2. Uninstall python 3.8 and install 3.7 instead or use a virtual environment with python 3.7 (I would recommend this, since you most likely don't rely on the difference between python 3.8 and 3.7)

UPDATE

Since the time of writing above answer, a new version of pyside2 was released and pip install should now be able to find a whl for pyside2 if you have python 3.8

Installing pyside2 on python 3.6.5-amd64 � Issue #11 � fredrikaverpil , hi, I've been trying to install PySide2 on python 3.6, This is how i try to And i keep getting this error : PySide2-5.6.0a1-5.6.2-cp36-cp Just so that you know, I can install that wheel just fine here on my Windows machine. I have been trying to install PySide2 on my PC (Windows 10 64bits) with Python 3.8 installed, but I keep getting errors every time. I used the command pip install PySide2. It is not working for me. Any help will be appreciated. Error:

Version 5.14 now available, supports cp38, see: http://download.qt.io/snapshots/ci/pyside/5.14/latest/pyside2/

PySide2 � PyPI, PySide2 is the official Python module from the Qt for Python project, which provides Since the release of the Technical Preview it is possible to install via pip , both from libclang-release_60-windows-vs2015_64-clazy.7z SET You can obtain more information about the options to build PySide and Shiboken in our wiki. Then find the "Discord" folder in both of those windows, and delete it. If your OS tells you that the file cannot be deleted because it's still in use. Open up the Task Manager and terminate all instances of Discord there and in the start up tab.

Additionally for anyone trying to install this on Raspbian (maybe also other Linux systems):

You can install PySide2 without pip wheel using the following command

$sudo apt-get install python3-pyside2.qt3dcore python3-pyside2.qt3dinput python3-pyside2.qt3dlogic python3-pyside2.qt3drender python3-pyside2.qtcharts python3-pyside2.qtconcurrent python3-pyside2.qtcore python3-pyside2.qtgui python3-pyside2.qthelp python3-pyside2.qtlocation python3-pyside2.qtmultimedia python3-pyside2.qtmultimediawidgets python3-pyside2.qtnetwork python3-pyside2.qtopengl python3-pyside2.qtpositioning python3-pyside2.qtprintsupport python3-pyside2.qtqml python3-pyside2.qtquick python3-pyside2.qtquickwidgets python3-pyside2.qtscript python3-pyside2.qtscripttools python3-pyside2.qtsensors python3-pyside2.qtsql python3-pyside2.qtsvg python3-pyside2.qttest python3-pyside2.qttexttospeech python3-pyside2.qtuitools python3-pyside2.qtwebchannel python3-pyside2.qtwebsockets python3-pyside2.qtwidgets python3-pyside2.qtx11extras python3-pyside2.qtxml python3-pyside2.qtxmlpatterns python3-pyside2uic

Should include all standard Qt functionality. I was able to run my app - it worked surprisingly well.

Just in case - I came by because I couldn't install it via pip on Raspbian.

If you use ArchLinux on your Raspberry Pi, a working wheel should be available though. See this thread for more info.

Qt for Python/GettingStarted, Qt Creator 4.0+ can be used to open the PySide and Shiboken the terminal because the installed shiboken CMake packages will have to be specified is / Users/user/Dev/pyside2-setup/pyside_install/py3.6-qt5.12.1-64bit-debug/lib is writable (otherwise you might get various permission denied errors). Versions: Windows 10 latest public patch. iOS: 11.4.1. Device: iPhone X 64GB. Apple support suggested to keep the iPhone unlocked the whole time (will play a long video to not get locked automatically) and also iTunes app needs to be opened in PC (not sure why) 1. Photos app > import starts but fail's at some point saying "something went wrong"

PySide to PySide2 - Coding, I cant Install PySide2 on my Windows PC. long story short - PySide and PySide2 are not interchangable - use this to facilitate that: Yeah, I am trying to keep thing simple. I downloaded wheel for windows, trying to install and get error:. Downloading Windows 10 and running the install will first do a compatibility check to notify you of any issues. If you don’t want to upgrade, or can’t upgrade due to compatibility concerns, proceed to the next troubleshooting step.

Python error "ERROR: Could not find a version that satisfies the , I am trying to install PyQt4 on my python 2.7. But I end up with It's not working even i installed pyqt5 but getting same error. commented Jan� Source: Windows Central. Click the Remove files button.; After you complete the steps, try to upgrade to the latest version of Windows 10 using Windows Update. If the same problem continues, you

Pyside2 runtimeerror unable to open read ui device, If you would like to install PySide2, please go to pyside2-setup for instructions. 49BETA4, and the ZenMap GUI, on my Windows 7 Home Premium x6 When upgrading from Related errors: TypeError: someVal is null, Unable to get property 'foo' of If you are about to ask a "how do I do this in python" question, please try� Scan your PC for Virus or Malware infections Virus and Malware infections can cause problems with application performance. Use your favorite antivirus software to scan for any infections that might be hiding on your PC. If you don’t have an antivirus you can download and install Microsoft Security Essentials for free by following the link below.

Comments
  • no issue in windows 10 64 bits with python 3.7.3
  • PySide2 version 5.14 (which supports Python 3.8) is iminent. See this bugfix.
  • @florisla you are correct, I have added it to my answer
  • desn't work on my Raspberry with Python 3.7.2; same error although there should be a wheel for that version
  • @mep no, there are no wheels for arm (which is the architecture raspberries are based on, right?) on pypi, only x64 and x86 based systems
  • Oh, it actually is possible. See this thread: forum.qt.io/topic/112813/installing-pyside2-on-raspberry-pi <- worked surprisingly good